---
title: "2020 through a bug bounty lens"
author: Heather Simpson
author_gitlab: Heather
author_twitter: heatherswall
categories: security
image_title: '/images/blogimages/bug-bounty-turns-one/gitlab-security-blog-cover_3.png'
description: "We take a look back at the year in bugs and bounties and celebrate the reporters and contributions that make us more secure."
tags: security, bug bounty
twitter_text: "We take a look back at the year in bugs and bounties and celebrate the #bugbounty researchers and contributions that make us more secure."
featured: no
postType: content marketing
related_posts:
  - "/blog/2020/09/28/top-tips-for-better-bug-bounty-reports-and-a-hacker-contest/"
  - "/blog/2020/11/10/rpadovani-ask-a-hacker/"
  - "/blog/2020/10/23/switching-sides-in-security/"
---

What a long, strange trip 2020 has been. It started with hitting the [million dollar bounties paid milestone](/blog/2020/01/14/celebrating-one-million-bug-bounties-paid/) in our [HackerOne program](https://hackerone.com/gitlab), appearing at #6 on [HackerOne’s 2020 Top Ten Public Bug Bounties program list](https://www.hackerone.com/resources/e-book/top-10-bounty-programs-2020) (up from our #10 spot from [2019](https://www.hackerone.com/resources/responsible-disclosure-program/top-20-public-bug-bounty-programs)) and having our approach to security and bug bounty program featured in this HackerOne [customer story](https://www.hackerone.com/resources/gitlab/gitlabs-approach-to-security). And then, <record scratch>  like many across the globe, our year both screeched to a halt and raged on, as we all moved forward the best that we possibly could throughout a tumultuous year with a ton of eye-opening and unbelievable global happenings spanning the realm of those we’d soon forget, to those we can and should learn and grow from.

One thing remained a constant though: The awesomely talented security researchers who submit to our program kept finding small bugs and big bugs, and our teams kept on triaging, testing, and fixing them.

We’re ending 2020 with a look back at our bug bounty program and the people who have made it a success by making our product and company more secure: our bug bounty researchers!

## 2020 by the numbers

**This year we:**
* Received a total of 1,070 reports from 505 security researchers
* Awarded a total of $380,800 USD in bounties to 62 different researchers reporting valid vulnerabilities
* Resolved 259 reports and made 131 of those reports public.
* Had 163 security researchers submit multiple reports, meaning their first engagement with us was a positive one.

**Note:** Data pulled is accurate as of Dec. 7, 2020.
{: .note}

*Shout out to our Bug Bounty Program manager, [James Ritchey](/company/team/#jritchey) for providing these program stats.* 📣

## Bug bounty program updates

We also rolled out a few new programs and initiatives to recognize and benefit contributors to our program.

**This year, we:**
* Reduced the time to bounty in our program from 90 days to 45 days max. We intend to continue iterating on this so that we can shorten this time frame further.
* Started a new researcher-focused blog series, called (creatively), Ask a Hacker. See our first [blog feature](/blog/2020/11/10/rpadovani-ask-a-hacker/) with [@rpadovani](https://hackerone.com/rpadovani?type=user). You can [check him out on GitLab too](https://gitlab.com/rpadovani).
* Kicked off a new Ask Me Anything (AMA) series with some of our top bug bounty hunters. You can see our first [AMA with Riccardo Padovani here](https://youtu.be/SK_vuZCafZ4).
* Began reporting our monthly program metrics and give shout-outs to the months’ high earners or critical bug contributors! See [the metrics we reported out last month](https://twitter.com/gitlab/status/1330892872808271873).

Together, we are stronger 💪.

Now, onto the really good stuff. We’re excited to announce the winners of our hacking contest, which commemorates our [second year as a public bug bounty program](/blog/2018/12/12/gitlab-hackerone-bug-bounty-program-is-public-today/). 🎉 🥁 🐛

We announced a [bug bounty contest](/blog/2020/09/28/top-tips-for-better-bug-bounty-reports-and-a-hacker-contest/#celebrating-great-reports-and-great-reporters) in October and received 138 reports from 87 different individuals between October 1 and November 30, and 55 of them were from new reporters!

Thanks to all who contributed! 🙌

# <i class="fab fa-gitlab fa-fw" style="color:rgb(252,109,38); font-size:.99em" aria-hidden="true"></i>  <i class="fas fa-gift" style="color:rgb(107,79,187); font-size:.99em" aria-hidden="true"></i>  Congratulations to these 5 contest winners <i class="fab fa-gitlab fa-fw" style="color:rgb(107,79,187); font-size:.99em" aria-hidden="true"></i>  <i class="fas fa-bug" style="color:rgb(252,109,38); font-size:.99em" aria-hidden="true"></i>
{: .text-center}


<i class="fas fa-address-card fa-fw" style="color:rgb(46,46,46); font-size:1.0em" aria-hidden="true"></i> **Most reputation points from submissions to our program.** Congratulations to [@vaib25vicky](https://hackerone.com/vaib25vicky) who was the frontrunner for reputation points this period.
{: #id-card-black}

<i class="far fa-address-card fa-fw" style="color:rgb(56,13,117); font-size:1.0em" aria-hidden="true"></i> **Most reputation points *collected by a reporter new to our program***. Congratulations to [@fsky](https://hackerone.com/fsky) who clinched the highest reputation score of any new reporter to our program.
{: #id-card-purple}

<i class="fas fa-pencil-alt fa-fw" style="color:rgb(219,58,33); font-size:1.0em" aria-hidden="true"></i>  **Best written report.**  Congratulations to [@afewgoats](http://hackerone.com/afewgoats), your DoS report outlined multiple attack scenarios, provided us with a cool script to reproduce, and was clever and well written!
{: #id-pencil}

<i class="far fa-lightbulb fa-fw" style="color:rgb(252,161,33); font-size:1.0em" aria-hidden="true"></i> **Most innovative report.**  Congratulations to [@anshraj_srivastava](https://hackerone.com/anshraj_srivastava), your discovery surrounding private repositories was a first of its kind in our program.
{: #id-lightbulb}

<i class="fas fa-rocket fa-fw" style="color:rgb(252,109,38); font-size:1.0em" aria-hidden="true"></i> **Most impactful finding.**  Congratulations [@ledz1996](https://hackerone.com/ledz1996), your report on stealing an API OAuth token was eye-opening and innovative.
{: #id-rocket}

*Since it is [GitLab’s policy](https://hackerone.com/gitlab#disclosure) to share details via public GitLab.com issue 30 days after releasing a fix, more details surrounding the research from the best written report, most innovative report, and most impactful finding category winners will be released in future [security release blog posts](/releases/categories/releases/).*

### We cannot wait to send you one of these:

![custom GitLab Mechanical Keyboard](/images/blogimages/2020-bugbountykeyboard.png){: .shadow.medium.center}
This Tanuki-powered Code V3 with *gold-plated cherry mx brown switches* will light up your hackety hack.
{: .note.text-center}


We know though, that 2020 has not been all cherry-plated switches. It's been a trying year for all of us, with plenty of graphs trending in all the wrong ways. There have been highlights though and this program has been a continued source of fresh, expert perspectives, aha moments and positive energy from the sheer skill and innovation the security researchers bring to our program. We’re grateful to have your continued contributions and partnership in making our product and company more secure. Here’s to a better 2021, together.

Happy hacking,

The GitLab Security team
